org.icefaces.ace.component.resizable

## Interface IResizable

- All Known Implementing Classes:
    Resizable, ResizableBase

      public interface IResizable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEffect()`
    `java.lang.String` | `getEffectDuration()`
    `java.lang.String` | `getFor()`
    `int` | `getGrid()`
    `java.lang.String` | `getHandles()`
    `int` | `getMaxHeight()`
    `int` | `getMaxWidth()`
    `int` | `getMinHeight()`
    `int` | `getMinWidth()`
    `javax.el.MethodExpression` | `getResizeListener()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isAnimate()`
    `boolean` | `isAspectRatio()`
    `boolean` | `isContainment()`
    `boolean` | `isGhost()`
    `boolean` | `isProxy()`
    `void` | `setAnimate(boolean animate)`
    `void` | `setAspectRatio(boolean aspectRatio)`
    `void` | `setContainment(boolean containment)`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setEffectDuration(java.lang.String effectDuration)`
    `void` | `setFor(java.lang.String forValue)`
    `void` | `setGhost(boolean ghost)`
    `void` | `setGrid(int grid)`
    `void` | `setHandles(java.lang.String handles)`
    `void` | `setMaxHeight(int maxHeight)`
    `void` | `setMaxWidth(int maxWidth)`
    `void` | `setMinHeight(int minHeight)`
    `void` | `setMinWidth(int minWidth)`
    `void` | `setProxy(boolean proxy)`
    `void` | `setResizeListener(javax.el.MethodExpression resizeListener)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAnimate

          void setAnimate(boolean animate)

    - #### isAnimate

          boolean isAnimate()

    - #### setAspectRatio

          void setAspectRatio(boolean aspectRatio)

    - #### isAspectRatio

          boolean isAspectRatio()

    - #### setContainment

          void setContainment(boolean containment)

    - #### isContainment

          boolean isContainment()

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setEffectDuration

          void setEffectDuration(java.lang.String effectDuration)

    - #### getEffectDuration

          java.lang.String getEffectDuration()

    - #### setFor

          void setFor(java.lang.String forValue)

    - #### getFor

          java.lang.String getFor()

    - #### setGhost

          void setGhost(boolean ghost)

    - #### isGhost

          boolean isGhost()

    - #### setGrid

          void setGrid(int grid)

    - #### getGrid

          int getGrid()

    - #### setHandles

          void setHandles(java.lang.String handles)

    - #### getHandles

          java.lang.String getHandles()

    - #### setMaxHeight

          void setMaxHeight(int maxHeight)

    - #### getMaxHeight

          int getMaxHeight()

    - #### setMaxWidth

          void setMaxWidth(int maxWidth)

    - #### getMaxWidth

          int getMaxWidth()

    - #### setMinHeight

          void setMinHeight(int minHeight)

    - #### getMinHeight

          int getMinHeight()

    - #### setMinWidth

          void setMinWidth(int minWidth)

    - #### getMinWidth

          int getMinWidth()

    - #### setProxy

          void setProxy(boolean proxy)

    - #### isProxy

          boolean isProxy()

    - #### setResizeListener

          void setResizeListener(javax.el.MethodExpression resizeListener)

    - #### getResizeListener

          javax.el.MethodExpression getResizeListener()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.